List alarm state transitions
curl --request GET \
--url https://api.timbal.ai/orgs/{org_id}/alarms/{alarm_id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/alarms/{alarm_id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/alarms/{alarm_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"history": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"reason": {}
}
]
}{
"code": "<string>",
"message": "<string>"
}Alarms
Alarm History
State transition history for an alarm, newest first.
Needs alarms.read for an org-level alarm, or projects.alarms.read on the owning project for a project alarm.
GET
/
orgs
/
{org_id}
/
alarms
/
{alarm_id}
/
history
List alarm state transitions
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Query Parameters
Max transitions to return (newest first). Default 50, max 500.
Response
Transition history
Wrapper for GET /orgs/{org_id}/alarms/{alarm_id}/history.
Show child attributes
Show child attributes
⌘I